package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal;

import java.util.HashMap;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;
import com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal.TipoImportacaoFiscal.TipoImportacao;

public class ItemMenuExportacaoFiscalRMD extends DefaultItemMenuSistema {
	public ItemMenuExportacaoFiscalRMD() {
		super("indexController.mniExportacaoFiscalRMD.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.EXPORTACAO.RMDECF";
	}

	@Override
	public void ejecutar() {
		@SuppressWarnings("unchecked")
		HashMap<String, Boolean> map = TipoImportacaoFiscal.selecionaTipoImportacao(TipoImportacao.RMD, (HashMap<String, Boolean>) getArgs());

		PantallaUtileria.openWindow("/gui/impressaofiscal/busquedaExportacaoFiscal.zul",
				Labels.getLabel("busquedaExportacaoFiscalRMDController.window.title"), map, desktop);

	}
}
